Package org.bgerp.action

# Class MessageCallAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.MessageCallAction

public class MessageCallAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageCallAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `numberFree(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `numberRegister(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `outCall(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `testCall(DynActionForm form, Connection con)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MessageCallAction

    public MessageCallAction()

- ## Method Details

  - ### numberRegister

    public org.apache.struts.action.ActionForward numberRegister(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### numberFree

    public org.apache.struts.action.ActionForward numberFree(DynActionForm form, ConnectionSet conSet)

  - ### outCall

    public org.apache.struts.action.ActionForward outCall(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### testCall

    public org.apache.struts.action.ActionForward testCall(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`